# Tutorials
Within [this directory](https://github.com/AnacletoLAB/grape/tree/main/tutorials) you may find tutorials relative to the GraPE library main submodules, [Ensmallen](https://github.com/AnacletoLAB/ensmallen) and [Embiggen](https://github.com/monarch-initiative/embiggen). All the tutorials have all dependencies self-contained and are ready to be run on COLAB.

## Ensmallen tutorials
The currently available tutorials relative to the [Ensmallen](https://github.com/AnacletoLAB/ensmallen) submodule are:

* [Loading a graph in Ensmallen](https://github.com/AnacletoLAB/grape/blob/main/tutorials/Loading_a_Graph_in_Ensmallen.ipynb)
* [Automatic graph retrieval utilities](https://github.com/AnacletoLAB/grape/blob/main/tutorials/Ensmallen_Automatic_graph_retrieval_utilities.ipynb)
* [First and Second order random walks](https://github.com/AnacletoLAB/grape/blob/main/tutorials/First_and_Second_order_random_walks.ipynb)
* [High performance graph algorithms](https://github.com/AnacletoLAB/grape/blob/main/tutorials/High_performance_graph_algorithms.ipynb)
* [Graph generation](https://github.com/AnacletoLAB/grape/blob/main/tutorials/Graph_generation.ipynb)

## Embiggen tutorials
The currently available tutorials relative to the [Embiggen](https://github.com/monarch-initiative/embiggen) submodule are:

* [Using SkipGram to compute Cora's node embedding](https://github.com/AnacletoLAB/grape/blob/main/tutorials/SkipGram_to_embed_Cora.ipynb)
* [Using CBOW to compute Cora's node embedding](https://github.com/AnacletoLAB/grape/blob/main/tutorials/Using_CBOW_to_embed_Cora.ipynb)
* [Using GloVe to compute Cora's node embedding](https://github.com/AnacletoLAB/grape/blob/main/tutorials/GloVe_to_embed_Cora.ipynb)
* [Using TransE to compute Cora's node embedding](https://github.com/AnacletoLAB/grape/blob/main/tutorials/TransE_to_embed_Cora.ipynb)


### Opening Issues
If you need any new feature, any new tutorial, or if you have anyother issue, do not hesitate [opening an issue in the GraPE repository](https://github.com/AnacletoLAB/grape/issues/new).
We will get back to you as soon as possible to answer your request. If you want to provide a new tutoring example please feel free to fork and [create a new pull request](https://github.com/AnacletoLAB/grape/compare) add the notebook with the new tutorial. Make sure it has a working COLAB link!
